<!DOCTYPE html>
<html>
<head>
    <title>Bowling Simulator 2001 classic edition</title>
</head>
<body>

<table border='1'><caption><strong>Results!</strong></caption><thead>

<script>
	// the teams, users and the score in a array.
    var users = [

        {team: "Blue", name: 'Alpha', score: 0},
        {team: "Blue", name: 'Beta', score: 0},-
        {team: "Blue", name: 'Charlie', score: 0},
        {team: "Blue", name: 'Delta', score: 0},
        {team: "Red", name: 'Echo', score: 0},
        {team: "Red", name: 'Foxtrot', score: 0},
        {team: "Red", name: 'Golf', score: 0},
        {team: "Red", name: 'Hotel', score: 0},

    ];

    // function for the random numbers.
    function getRandomInt(max){
    	return Math.floor(Math.random() * Math.floor(max));
    }

    // beginning of the game.
    console.log('The Game is on!')

	// Runs the 10 rounds.
	for (var r = 1; r <= 10; r++){
		console.log('\n');
		console.log('Round ' + r );
		console.log('\n\r');

		// lets the users roll the ball on every round and calculates the pins knocked down
		for (var u = 0; u < users.length; u++){
			console.log(users[u].name + ' from team ' + users[u].team + ' is up');
			var pinsKnockedDown = getRandomInt(11);
			console.log(users[u].name + ' threw ' + pinsKnockedDown + ' on his first throw!');

			// Stops the second throw if the user hits a 10 with the first throw.
			if (pinsKnockedDown == 10){
				console.log('Hot damn! ' + users[u].name + ' threw a strike!')
				console.log('\n');
				continue;
			}
			else{
    			var pinsKnockedDown2 = getRandomInt(11 - pinsKnockedDown);
    			console.log(users[u].name + ' threw ' + pinsKnockedDown2 + ' on his second throw!');

    			console.log('That makes a total of ' + (pinsKnockedDown + pinsKnockedDown2) + ' pins knocked over');

    			// saves the score
    			users[u].score += (pinsKnockedDown + pinsKnockedDown2);
    			console.log('\n');
			}
		}
	}

	// loops through the score results
	for (var s = 0; s < users.length; s++){
		console.log(users[s].name + ' finished the game with a score of ' + users[s].score);
	}

	// variable to isolate the winner.
	var winner = [{score: 0}];

	// loops to check who the highest score has.
	for (var w = 0; w < users.length; w++){
		if (winner[0].score < users[w].score){
			winner[0] = (users[w])
		}
		// pushes the highest score into a new array.
		else if (users[w] == winner.score){
			winner.push(users[w])
		}
	};

	// if RNGsus allows it and someone throws 10 strikes in each round then this alert goes off.
	if (winner[0].score == 100){
		alert("WE HAVE A PERFECT SCORE!!!!!!!")
	}

	// displays the winner in a alert.
	if (winner.length == 1){
            console.log("The winner is "+ winner[0].name + " from team " + winner[0].team + " with a score of "+ winner[0].score);
            alert("The winner is "+ winner[0].name + " from team " + winner[0].team + " with a score of "+ winner[0].score);
        }
        else {
            console.log("The winners are:");

            for (var i = 0; i < winner.length; i++){
                console.log(winner[i].name+ ' from team ' + winner[i].team)
                alert("The winners are: " + winner[i]["name"] + ' from team ' + winner[i]["team"] + ' with a score of ' + winner[0]["score"])
            }
            console.log('With a score of ' + winner[0].score);

        }

    // displays the winner in the console log.
	console.log(winner[0]);

	// displays the team, name and score of the players though a loop on your browser
	for (var t = 0; t < users.length; t++){

		document.write("<tr><td" + t + "</td>" +
			"<td>" + users[t].team +"</td>" +
			"<td>" + users[t].name +"</td>" +
			"<td>" + users[t].score +"</td></tr>" );

	};

</script>

</body>
</html>
